| Enumerations, structures and type definitions

### CalcModel

{

An enumeration which contains the following calculator types: /

Return value : |

### FileAttr

ATTRB_NONE = 0, ATTRB_LOCKED = 1, ATTRB_PROTECTED, ATTRB_ARCHIVED = 3,

An enumeration which contains the different variable attributes. /

Return value : |

### FileClass

TIFILE_SINGLE = 1, TIFILE_GROUP = 2, TIFILE_REGULAR = 3, TIFILE_BACKUP = 4,

An enumeration which contains the following class of TI files: /

Return value : |

### FileEncoding

ENCODING_ASCII = 1, ENCODING_LATIN1, ENCODING_UNICODE,

An enumeration which contains the following encodings: /

Return value : |

### DeviceType

DEVICE_TYPE_83P = 0x73,

An enumeration which contains soem device IDs for FLASH apps: /

Return value : |

### VarEntry

char folder[FLDNAME_MAX];

A generic structure used to store the content of a TI variable. /

folder : | name of folder (TI9x only) or ""
name : | name of variable (raw on-calc encoding)
type : | vartype ID
attr : | TI83+/89/92+ only (ATTRB_NONE or ARCHIVED)
size : | size of data (uint16_t for TI8x)
data : | pure data
action : | used by ticalcs library (must be set to 0)
Return value : |

### FileContent

typedef struct

A generic structure used to store the content of a single/grouped TI file. Please note that: - entries must be NULL-terminated. Parsing is based on this property. - num_entries must be exact. Counting relies on this.

model : | calculator model
default_folder : | name of the default folder (TI9x only)
comment : | comment aembedded in file (like "Single file received by TiLP")
num_entries : | number of variables stored after
entries : | a NULL-terminated array of #TiVarEntry structures
checksum : | checksum of file

### BackupContent

CalcModel model;

A generic structure used to store the content of a backup file. /

model : | calculator model
comment : | comment embedded in file (like "Backup file received by TiLP")
checksum : | checksum of file
Return value : |

### FlashHeader

uint8_t revision_major;

A generic structure used to store the header before data of a FLASH file. /

revision_major: : | (null)
revision_minor: : | (null)
flags: : | (null)
object_type: : | (null)
revision_day: : | (null)
revision_month: : | (null)
revision_year : |
name : | name of FLASH app or "basecode" for OS or '' for certificate
device_type : | a device ID (TI89: 0x88, TI92+:0x98, ...)
data_type : | var type ID (app, os, certificate, ...)
data_length : | length of data part
Return value : |

### FlashPage

uint16_t addr;

A generic structure used to store the content of a TI8x memory page for FLASH. /

offset : | FLASH offset (see TI link guide).
page : | FLASH page (see TI link guide).
flag : | see link guide.
size : | length of pure data (up to 16384 bytes)
data : | pure FLASH data.
Return value : |

### FlashContent

{

A generic structure used to store the content of a FLASH file (os or app). /

model : | a calculator model.
revision_major: : | (null)
revision_minor: : | (null)
flags: : | (null)
object_type: : | (null)
revision_day: : | (null)
revision_month: : | (null)
revision_year: : | (null)
name : | name of FLASH app or OS
device_type : | a device ID
data_type : | a type ID
hw_id : | hardware ID (used on TI9x only, 0 otherwise)
data_length : | length of pure data
data_part : | pure FLASH data (TI9x only) or license or certificate
num_pages : | number of FLASH pages (TI8x only)
pages : | NULL-terminated array of FLASH pages (TI8x only)
next : | pointer to next structure (linked list of contents)
Return value : |

### TigContent

CalcModel model;

A generic structure used to store the content of a TiGroup file. /

model : | a calculator model
comment : | a global comment for archive
comp_level : | compression level (0: store, 1 to 4: slow to fast)
num_entries : | the number of entries
entries : | a NULL-terminated array of #TigEntry structures
Return value : |

### Return to the main index